UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor i_am_here
Visitor
197 Views
Registered: ‎04-23-2019

Failure to install AI-SDK 2.0.5

When trying to install the AI-sdk 2.0.5 I get an error during the PetaLinux SDK part of the installation. I'm using Ubuntu 18.04 and the destination directory is a maped Samba share.

I get the message:

... Could not open /ABS_PATH_TO_DIR_ON_SAMBA_SHARE/petalinux_sdk/sysroots/x86_64-petalinux/usr/lib/perl5: Is a directory (21)
SDK could not be setup. Relocate script failed. Abort!

The perl5 referenced is indeed a directory (circular symlink back to to ../, i.e. /ABS_PATH_TO_DIR_ON_SAMBA_SHARE/petalinux_sdk//sysroots/x86_64-petalinux/usr/lib).

Anyone have any ides???

Best

/Nils

0 Kudos
2 Replies
Xilinx Employee
Xilinx Employee
136 Views
Registered: ‎05-10-2019

Re: Failure to install AI-SDK 2.0.5

Perl5 is a soft link of folder which links to perl folder.
It seems that the soft link of folder cannot work in the Samba share directory.
Could you try to install the sdk in the default path and see if there is the same problem?

0 Kudos
Visitor i_am_here
Visitor
88 Views
Registered: ‎04-23-2019

Re: Failure to install AI-SDK 2.0.5

That won't work in my case since ~/petalinux_sdk also is a samba share.

What I suspect is that the installation is trying to symlink outside the installation destination directory, and in the extension, the samba share. That is for good reasons disabled by default in Samba.

I've successfully installed the sdk on a local directory, using /tmp as test destination. I also tried to relocate the /tmp/petalinux_sdk installation to ~/ and updating the environment-setup-aarch64-xilinx-linux script. That doesn't work. Compiling the yolov3 demo complains about not finding -lm, -lgcc_s and a few other things.

0 Kudos